<?php
namespace Patchouli\Dummy;

use Patchouli\Platform;
use Patchouli\IPackageTarget;

class DummyPackageTarget implements IPackageTarget {
    function getPlatform(): Platform {
        return Platform::get(Platform::WIN_IA32);
    }

    public function getFiles(): array {
        return [
            new DummyPackageFile('poop.exe'),
        ];
    }

    public function getDependencies(): array {
        return [];
    }

    public function fwifSerialize(): array {
        return [
            'platform'  => $this->getPlatform(),
            'files' => $this->getFiles(),
            'deps' => $this->getDependencies(),
        ];
    }
}
