<?php
namespace Patchouli;

use FWIF\FWIFSerializable;

class ErrorResponse implements FWIFSerializable {
    private int $code;
    private string $message;

    public function __construct(int $code, string $message = 'An unspecified error occurred.') {
        $this->code = $code;
        $this->message = $message;
    }

    public function fwifSerialize() {
        return [
            'c' => $this->code,
            'm' => $this->message,
        ];
    }
}
