<?php
namespace Patchouli;

use FWIF\FWIFSerializable;

interface IPackage extends FWIFSerializable {
    function getId(): string;
    function getName(): string;
    function getVersion(): Version;
    function getFiles(): array;
    function getTargets(): array;
    function getDependencies(): array;
}
